slepc-3.10.1 2018-10-23
Report Typos and Errors

# STShellSetBackTransform

Sets the routine to be called after the eigensolution process has finished in order to transform back the computed eigenvalues.

### Synopsis

    #include "slepcst.h"
    PetscErrorCode STShellSetBackTransform(ST st,PetscErrorCode (*backtr)(ST,PetscInt,PetscScalar*,PetscScalar*))

Logically Collective on ST

### Input Parameters

| st | - the spectral transformation context
| backtr | - the application-provided backtransform routine

### Calling sequence of backtr

      backtr(ST st,PetscScalar *eigr,PetscScalar *eigi)

| st | - the spectral transformation context
| eigr | - pointer ot the real part of the eigenvalue to transform back
| eigi | - pointer ot the imaginary part

### See Also

STShellSetApply(), STShellSetApplyTranspose()

Location: src/sys/classes/st/impls/shell/shell.c
Index of all ST routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/eps/examples/tutorials/ex10.c.html
src/eps/examples/tutorials/ex36.c.html